Skip to main content
`Ctrl`+`K`
scipy.special.

# roots_genlaguerre

scipy.special.roots_genlaguerre(n, alpha, mu=False)

  Gauss-generalized Laguerre quadrature.

  Compute the sample points and weights for Gauss-generalized Laguerre quadrature. The sample points are the roots of the nth degree generalized Laguerre polynomial, \(L^{\alpha}_n(x)\). These sample points and weights correctly integrate polynomials of degree \(2n - 1\) or less over the interval \([0, \infty]\) with weight function \(w(x) = x^{\alpha} e^{-x}\). See 22.3.9 in [AS] for details.

  Parameters:
    n int

      quadrature order

    alpha float

      alpha must be > -1

    mu bool, optional

      If True, return the sum of the weights, optional.

  Returns:
    x ndarray

      Sample points

    w ndarray

      Weights

    mu float

      Sum of the weights

  See also

  `scipy.integrate.fixed_quad`

  References

  [AS]

  Milton Abramowitz and Irene A. Stegun, eds. Handbook of Mathematical Functions with Formulas, Graphs, and Mathematical Tables. New York: Dover, 1972.